import type { ValidationError } from './index.js';
import { Text } from './text.js';
export declare abstract class Email<Nullable extends boolean = false> extends Text<Nullable> {
    protected getValidationMaxLength(): number | undefined;
    getErrors(name: string): ValidationError[] | undefined;
}
