import { type NullableOrNot, type ValidationError, ValueObject } from './index.js';
export declare abstract class Flags<FlagTypes extends string, Nullable extends boolean = false> extends ValueObject<NullableOrNot<FlagTypes, Nullable>, NullableOrNot<FlagTypes, Nullable>> {
    abstract get flagTypes(): FlagTypes[];
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
