import { type NullableOrNot, type ValidationError, ValueObject } from './index.js';
export declare abstract class StringId<Nullable extends boolean = false> extends ValueObject<NullableOrNot<number | string | undefined, Nullable>, NullableOrNot<string, Nullable>, NullableOrNot<string, Nullable>> {
    protected fromInput(): NullableOrNot<string, Nullable>;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
